org.jboss.jca.embedded.dsl.ironjacamar11.api

## Interface WorkmanagerSecurityType<T>

- All Superinterfaces:
    org.jboss.shrinkwrap.descriptor.api.Child<T>

      public interface WorkmanagerSecurityType<T>
      extends org.jboss.shrinkwrap.descriptor.api.Child<T>

  This interface defines the contract for the `workmanagerSecurityType` xsd type

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `WorkmanagerSecurityType<T>` | `defaultPrincipal(java.lang.String defaultPrincipal)` Sets the `default-principal` element
    `WorkmanagerSecurityType<T>` | `domain(java.lang.String domain)` Sets the `domain` element
    `java.lang.String` | `getDefaultPrincipal()` Returns the `default-principal` element
    `java.lang.String` | `getDomain()` Returns the `domain` element
    `WorkmanagerSecurityGroupsType<WorkmanagerSecurityType<T>>` | `getOrCreateDefaultGroups()` If not already created, a new `default-groups` element with the given value will be created.
    `WorkmanagerSecurityMappingsType<WorkmanagerSecurityType<T>>` | `getOrCreateMappings()` If not already created, a new `mappings` element with the given value will be created.
    `java.lang.Boolean` | `isMappingRequired()` Returns the `mapping-required` element
    `WorkmanagerSecurityType<T>` | `mappingRequired(java.lang.Boolean mappingRequired)` Sets the `mapping-required` element
    `WorkmanagerSecurityType<T>` | `removeDefaultGroups()` Removes the `default-groups` element
    `WorkmanagerSecurityType<T>` | `removeDefaultPrincipal()` Removes the `default-principal` element
    `WorkmanagerSecurityType<T>` | `removeDomain()` Removes the `domain` element
    `WorkmanagerSecurityType<T>` | `removeMappingRequired()` Removes the `mapping-required` element
    `WorkmanagerSecurityType<T>` | `removeMappings()` Removes the `mappings` element

    - ### Methods inherited from interface org.jboss.shrinkwrap.descriptor.api.Child

      `up`

- - ### Method Detail

    - #### mappingRequired

          WorkmanagerSecurityType<T> mappingRequired(java.lang.Boolean mappingRequired)

      Sets the `mapping-required` element
      Parameters:
        `mappingRequired` - the value for the element `mapping-required`
      Returns:
        the current instance of `WorkmanagerSecurityType`

    - #### isMappingRequired

          java.lang.Boolean isMappingRequired()

      Returns the `mapping-required` element
      Returns:
        the node defined for the element `mapping-required`

    - #### removeMappingRequired

          WorkmanagerSecurityType<T> removeMappingRequired()

      Removes the `mapping-required` element
      Returns:
        the current instance of `WorkmanagerSecurityType`

    - #### domain

          WorkmanagerSecurityType<T> domain(java.lang.String domain)

      Sets the `domain` element
      Parameters:
        `domain` - the value for the element `domain`
      Returns:
        the current instance of `WorkmanagerSecurityType`

    - #### getDomain

          java.lang.String getDomain()

      Returns the `domain` element
      Returns:
        the node defined for the element `domain`

    - #### removeDomain

          WorkmanagerSecurityType<T> removeDomain()

      Removes the `domain` element
      Returns:
        the current instance of `WorkmanagerSecurityType`

    - #### defaultPrincipal

          WorkmanagerSecurityType<T> defaultPrincipal(java.lang.String defaultPrincipal)

      Sets the `default-principal` element
      Parameters:
        `defaultPrincipal` - the value for the element `default-principal`
      Returns:
        the current instance of `WorkmanagerSecurityType`

    - #### getDefaultPrincipal

          java.lang.String getDefaultPrincipal()

      Returns the `default-principal` element
      Returns:
        the node defined for the element `default-principal`

    - #### removeDefaultPrincipal

          WorkmanagerSecurityType<T> removeDefaultPrincipal()

      Removes the `default-principal` element
      Returns:
        the current instance of `WorkmanagerSecurityType`

    - #### getOrCreateDefaultGroups

          WorkmanagerSecurityGroupsType<WorkmanagerSecurityType<T>> getOrCreateDefaultGroups()

      If not already created, a new `default-groups` element with the given value will be created. Otherwise, the existing `default-groups` element will be returned.
      Returns:
        a new or existing instance of `WorkmanagerSecurityGroupsType>`

    - #### removeDefaultGroups

          WorkmanagerSecurityType<T> removeDefaultGroups()

      Removes the `default-groups` element
      Returns:
        the current instance of `WorkmanagerSecurityType`

    - #### getOrCreateMappings

          WorkmanagerSecurityMappingsType<WorkmanagerSecurityType<T>> getOrCreateMappings()

      If not already created, a new `mappings` element with the given value will be created. Otherwise, the existing `mappings` element will be returned.
      Returns:
        a new or existing instance of `WorkmanagerSecurityMappingsType>`

    - #### removeMappings

          WorkmanagerSecurityType<T> removeMappings()

      Removes the `mappings` element
      Returns:
        the current instance of `WorkmanagerSecurityType`

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)